Links: Next Previous Up Top

# Is there any extra information available from the SGML document?

The `SGMLS` object which you created at the beginning of the parse has several methods available in addition to `next_event` -- you will find them all listed in table 7. There should normally be no need to use the `notation` and `entity` methods, since `SGMLS.pm` will look up entities and notations for you automatically as needed.

### Table 7: Additional methods for the `SGMLS` class

Method
  `next_event`
Return Type
  `SGMLS_Event`
Description
  Return the next event.

Method
  `appinfo`
Return Type
  string
Description
  Return the APPINFO parameter from the SGML declaration, if any.

Method
  `notation(nname)`
Return Type
  `SGMLS_Notation`
Description
  Look up a notation by name.

Method
  `entity(ename)`
Return Type
  `SGMLS_Entity`
Description
  Look up an entity by name.

Links: Next Previous Up Top